<?php 
$servidor="localhost";
$usuario="root";
$password="123";
$database="ejemplomysql";
$conexion=new mysqli($servidor,$usuario,$password,$database);

if($_POST){
$telefono=$_POST['telefono'];
$sentencia="select *from datos where telefono='".$telefono."';";
$myArray=array();
if ($result = $conexion->query($sentencia)) {
        $tempArray = array();
        while($row = $result->fetch_object()) {
                $myArray['datos'][] = $row;
            }
        echo json_encode($myArray);
    }

    $result->close();
    $conexion->close();


}else if($_GET){

$telefono=$_GET['telefono'];
$sentencia="select *from datos where telefono='".$telefono."';";
$myArray=array();
if ($result = $conexion->query($sentencia)) {
        $tempArray = array();
        while($row = $result->fetch_object()) {
                $myArray['datos'][] = $row;
            }
        echo json_encode($myArray);
    }

    $result->close();
    $conexion->close();	
}
 ?>
